### Hierarchy

- LayoutRenderer<VerticalLayout>
  - VerticalLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- changeDetectionRef
- hidden
- path
- schema
- uischema

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit
- trackElement

## Constructors

### constructor

- new VerticalLayoutRenderer(jsonFormsService: JsonFormsAngularService, changeDetectionRef: ChangeDetectorRef): VerticalLayoutRenderer

- Overrides LayoutRenderer.constructor

  - Defined in packages/angular-material/src/layouts/vertical-layout.renderer.ts:46

  #### Parameters

  - ##### jsonFormsService: JsonFormsAngularService

  - ##### changeDetectionRef: ChangeDetectorRef

  #### Returns VerticalLayoutRenderer

## Properties

### Protected changeDetectionRef

changeDetectionRef: ChangeDetectorRef

Inherited from LayoutRenderer.changeDetectionRef

- Defined in packages/angular-material/src/layouts/layout.renderer.ts:47

### hidden

hidden: boolean

Inherited from LayoutRenderer.hidden

- Defined in packages/angular-material/src/layouts/layout.renderer.ts:44

### path

path: string

Inherited from AutocompleteControlRenderer.path

- Defined in packages/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from AutocompleteControlRenderer.schema

- Defined in packages/angular/lib/base.renderer.d.ts:4

### uischema

uischema: VerticalLayout

Inherited from AutocompleteControlRenderer.uischema

- Defined in packages/angular/lib/base.renderer.d.ts:3

## Accessors

### renderProps

- get renderProps(): OwnPropsOfRenderer[]

- Inherited from LayoutRenderer.renderProps

  - Defined in packages/angular-material/src/layouts/layout.renderer.ts:67

  #### Returns OwnPropsOfRenderer[]

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from LabelRenderer.getOwnProps

  - Defined in packages/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from LayoutRenderer.ngOnDestroy

  - Defined in packages/angular-material/src/layouts/layout.renderer.ts:61

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from LayoutRenderer.ngOnInit

  - Defined in packages/angular-material/src/layouts/layout.renderer.ts:51

  #### Returns void

### trackElement

- trackElement(_index: number, renderProp: OwnPropsOfRenderer): string

- Inherited from LayoutRenderer.trackElement

  - Defined in packages/angular-material/src/layouts/layout.renderer.ts:78

  #### Parameters

  - ##### _index: number

  - ##### renderProp: OwnPropsOfRenderer

  #### Returns string

Generated using TypeDoc